Page MenuHomePhabricator

Update mobile support browser matrix
Closed, DuplicatePublic

Description

Current compatibility matrix tells users and devs that we still support software like Windows 8 (?! guess it's meant to be IE 8), Blackberry * (?! what's even meant by this?).
And further down

  • IEMobile 10+ (I really don't think this is true anymore, given its variety of standard support issues),
  • Amazon Silk (when have we tested that recently?) or
  • Blackberry 7+ (same question)

Here a screenshot of IE 8 (broken, unusable)

And IE 9 (btw broken and barely usable):

And IE10 (works, but has some UX challenges):

And IE 11 (works):

Couldn't test it on Windows Mobile Nokia emulator via BrowserStack. Didn't load article pages.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2019, 12:39 AM

It was updated a couple of hours before this was filed! cf T240491: [SPIKE] Update the Compatibility#Mobile table
Oh, but I see no edits were made directly to the table in https://www.mediawiki.org/wiki/Template:Compatibility_browser/mobile so yes that still needs updating.